Description

a simple terminal emulator require GLIBC_2.28

Get it from the Snap Store

Search for another snap, or go back to the homepage.